---
type: api
title: Fleet Server health check
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-fleet-server-health-check
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-fleet-server-health-check
products:
  - Kibana
---

# Fleet Server health check

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/fleet/health_check`
- `POST` `/s/{space_id}/api/fleet/health_check`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Request Body

`application/json`

- `host` (string) — optional — deprecated
- `id` (string) — required

## Responses

#### `200`

OK

`application/json`

- `host` (string) — deprecated
- `id` (string)
  Fleet Server host id
- `status` (string)
#### `400`

Generic Error

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
POST /api/fleet/health_check
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/fleet/health_check" \
  -H "kbn-xsrf: true"
```

